Vulnerability CVE-2019-13418


Published: 2019-08-12

Description:
Search Guard versions before 24.0 had an issue that values of string arrays in documents are not properly anonymized.

Type:

CWE-129

(Improper Validation of Array Index)

Vendor: Search-guard
Product: Search guard 
Version:
6.5.3-16
6.5.1-16
6.4.3-16
6.4.2-16
6.4.1-16
6.4.0-16
6.4.0-15
6.3.2-16
6.3.2-15
6.3.2-14
6.3.1-16
6.3.1-15
6.3.1-14
6.3.0-16
6.3.0-14
6.2.4-15
6.2.4-14
6.2.3-15
6.2.3-14
6.2.2-15
6.2.2-14
6.2.1-15
6.2.1-14
23.2
23.1
23.0
22.3
21.0

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None

 References:
https://docs.search-guard.com/6.x-25/changelog-searchguard-6-x-24_0
https://search-guard.com/cve-advisory/

Related CVE
CVE-2019-13423
Search Guard Kibana Plugin versions before 5.6.8-7 and before 6.x.y-12 had an issue that an authenticated Kibana user could impersonate as kibanaserver user when providing wrong credentials when all of the following conditions a-c are true: a) Kibana...
CVE-2019-13422
Search Guard Kibana Plugin versions before 5.6.8-7 and before 6.x.y-12 had an issue that an attacker can redirect the user to a potentially malicious site upon Kibana login.
CVE-2019-13421
Search Guard versions before 23.1 had an issue that an administrative user is able to retrieve bcrypt password hashes of other users configured in the internal user database.
CVE-2019-13416
Search Guard versions before 24.3 had an issue when Cross Cluster Search (CCS) was enabled, authenticated users are always authorized on the local cluster ignoring their roles on the remote cluster(s).
CVE-2019-13415
Search Guard versions before 24.3 had an issue when Cross Cluster Search (CCS) was enabled, authenticated users can gain read access to data they are not authorized to see.
CVE-2019-13420
Search Guard versions before 21.0 had an timing side channel issue when using the internal user database.
CVE-2019-13419
Search Guard versions before 23.1 had an issue that for aggregations clear text values of anonymised fields were leaked.
CVE-2019-13417
Search Guard versions before 24.0 had an issue that field caps and mapping API leak field names (but not values) for fields which are not allowed for the user when field level security (FLS) is activated.

Copyright 2019, cxsecurity.com

 

Back to Top